<div class="pageContainer">
  <div style="width: 100%; height: 800px; position: relative">
    <energy-platform-three-windflower
      *ngIf="
        location &&
        geoPositions &&
        fieldBoundaries &&
        restrictedAreas &&
        hubHeight &&
        rotorDiameter
      "
      [debug]="false"
      [center]="location"
      [positions]="geoPositions"
      [fieldBoundaries]="fieldBoundaries"
      [restrictedAreas]="restrictedAreas"
      [hubHeight]="hubHeight"
      [rotorDiameter]="rotorDiameter"
      [rotation]="-45"
    >
    </energy-platform-three-windflower>
  </div>
</div>
